using System.Reflection;
using ADEPT.Core.Cogwheel;
using Cogwheel;
using Godot;

namespace ADEPT.Core;

public static class ADEPT
{
    private static CommandsManager _commandsManager = new CommandsManager();
    private static ICogwheelConsole _cogwheelConsole = new GodotCogwheelConsole();
    
    public static MainNode MainNode { get; private set; }
    
    public static void Initialize(MainNode mainNode)
    {
        COGWHEEL.Initialize(_commandsManager, _cogwheelConsole);
        COGWHEEL.AddAssembly(Assembly.GetCallingAssembly());
        
        MainNode = mainNode;
    }
    
    public static class Constants
    {
        public const string Version = "0.0.0";
        public const string DefaultLessonPath = "res://Assets/ADEPT/Lessons/";
        public const string DefaultLessonFileExtension = ".adept";
    }
    
}